apiVersion: serving.knative.dev/v1
kind: Service
metadata:
  name: canary
  annotations:
    run.googleapis.com/ingress: internal-and-cloud-load-balancing
    run.googleapis.com/ingress-status: internal-and-cloud-load-balancing
spec:
  template:
    metadata:
      generation:
      labels:
        app: test
      annotations:
        autoscaling.knative.dev/maxScale: '2'
    spec:
      containerConcurrency: 80
      containers:
      - args:
        - server
        image: gcr.io/pipecd/helloworld:v0.8.0
        ports:
        - containerPort: 9085
        resources:
          limits:
            cpu: 1000m
            memory: 128Mi

# apiVersion: serving.knative.dev/v1
# kind: Service
# metadata:
#   name: ks3-webclient-portal
# spec:
#   metadata:
#     annotations:
#     run.googleapis.com/ingress: internal-and-cloud-load-balancing
#     run.googleapis.com/ingress-status: internal-and-cloud-load-balancing
#   template:
#     metadata:
#       generation:
#       labels:
#         app: test
#       annotations:
#         autoscaling.knative.dev/maxScale: '2'
#     spec:
#       containerConcurrency: 80
#       containers:
#       - args:
#         - server
#         image: gcr.io/pipecd/helloworld:v0.8.0
#         ports:
#         - containerPort: 9085
#         resources:
#           limits:
#             cpu: 1000m
#             memory: 128Mi

